# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: adapter.proto

import sys
_b=sys.version_info[0]<3 and (lambda x:x) or (lambda x:x.encode('latin1'))
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor.FileDescriptor(
  name='adapter.proto',
  package='adapter',
  syntax='proto3',
  serialized_options=None,
  serialized_pb=_b('\n\radapter.proto\x12\x07\x61\x64\x61pter\"\x13\n\x11OnActivateRequest\"\x14\n\x12OnActivateResponse\"\x15\n\x13OnDeactivateRequest\"\x16\n\x14OnDeactivateResponse\"\x15\n\x13StreamEventsRequest\"s\n\x14StreamEventsResponse\x12\x12\n\nSourceTime\x18\x01 \x01(\x04\x12\x11\n\tDataPoint\x18\x02 \x01(\t\x12\x11\n\tEventType\x18\x03 \x01(\t\x12\x10\n\x08Metadata\x18\x04 \x01(\x0c\x12\x0f\n\x07Payload\x18\x05 \x01(\x0c\x32\xec\x01\n\x07\x41\x64\x61pter\x12\x45\n\nOnActivate\x12\x1a.adapter.OnActivateRequest\x1a\x1b.adapter.OnActivateResponse\x12M\n\x0cStreamEvents\x12\x1c.adapter.StreamEventsRequest\x1a\x1d.adapter.StreamEventsResponse0\x01\x12K\n\x0cOnDeactivate\x12\x1c.adapter.OnDeactivateRequest\x1a\x1d.adapter.OnDeactivateResponseb\x06proto3')
)




_ONACTIVATEREQUEST = _descriptor.Descriptor(
  name='OnActivateRequest',
  full_name='adapter.OnActivateRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=26,
  serialized_end=45,
)


_ONACTIVATERESPONSE = _descriptor.Descriptor(
  name='OnActivateResponse',
  full_name='adapter.OnActivateResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=47,
  serialized_end=67,
)


_ONDEACTIVATEREQUEST = _descriptor.Descriptor(
  name='OnDeactivateRequest',
  full_name='adapter.OnDeactivateRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=69,
  serialized_end=90,
)


_ONDEACTIVATERESPONSE = _descriptor.Descriptor(
  name='OnDeactivateResponse',
  full_name='adapter.OnDeactivateResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=92,
  serialized_end=114,
)


_STREAMEVENTSREQUEST = _descriptor.Descriptor(
  name='StreamEventsRequest',
  full_name='adapter.StreamEventsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=116,
  serialized_end=137,
)


_STREAMEVENTSRESPONSE = _descriptor.Descriptor(
  name='StreamEventsResponse',
  full_name='adapter.StreamEventsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  fields=[
    _descriptor.FieldDescriptor(
      name='SourceTime', full_name='adapter.StreamEventsResponse.SourceTime', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='DataPoint', full_name='adapter.StreamEventsResponse.DataPoint', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='EventType', full_name='adapter.StreamEventsResponse.EventType', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=_b("").decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='Metadata', full_name='adapter.StreamEventsResponse.Metadata', index=3,
      number=4, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
    _descriptor.FieldDescriptor(
      name='Payload', full_name='adapter.StreamEventsResponse.Payload', index=4,
      number=5, type=12, cpp_type=9, label=1,
      has_default_value=False, default_value=_b(""),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=139,
  serialized_end=254,
)

DESCRIPTOR.message_types_by_name['OnActivateRequest'] = _ONACTIVATEREQUEST
DESCRIPTOR.message_types_by_name['OnActivateResponse'] = _ONACTIVATERESPONSE
DESCRIPTOR.message_types_by_name['OnDeactivateRequest'] = _ONDEACTIVATEREQUEST
DESCRIPTOR.message_types_by_name['OnDeactivateResponse'] = _ONDEACTIVATERESPONSE
DESCRIPTOR.message_types_by_name['StreamEventsRequest'] = _STREAMEVENTSREQUEST
DESCRIPTOR.message_types_by_name['StreamEventsResponse'] = _STREAMEVENTSRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

OnActivateRequest = _reflection.GeneratedProtocolMessageType('OnActivateRequest', (_message.Message,), {
  'DESCRIPTOR' : _ONACTIVATEREQUEST,
  '__module__' : 'adapter_pb2'
  # @@protoc_insertion_point(class_scope:adapter.OnActivateRequest)
  })
_sym_db.RegisterMessage(OnActivateRequest)

OnActivateResponse = _reflection.GeneratedProtocolMessageType('OnActivateResponse', (_message.Message,), {
  'DESCRIPTOR' : _ONACTIVATERESPONSE,
  '__module__' : 'adapter_pb2'
  # @@protoc_insertion_point(class_scope:adapter.OnActivateResponse)
  })
_sym_db.RegisterMessage(OnActivateResponse)

OnDeactivateRequest = _reflection.GeneratedProtocolMessageType('OnDeactivateRequest', (_message.Message,), {
  'DESCRIPTOR' : _ONDEACTIVATEREQUEST,
  '__module__' : 'adapter_pb2'
  # @@protoc_insertion_point(class_scope:adapter.OnDeactivateRequest)
  })
_sym_db.RegisterMessage(OnDeactivateRequest)

OnDeactivateResponse = _reflection.GeneratedProtocolMessageType('OnDeactivateResponse', (_message.Message,), {
  'DESCRIPTOR' : _ONDEACTIVATERESPONSE,
  '__module__' : 'adapter_pb2'
  # @@protoc_insertion_point(class_scope:adapter.OnDeactivateResponse)
  })
_sym_db.RegisterMessage(OnDeactivateResponse)

StreamEventsRequest = _reflection.GeneratedProtocolMessageType('StreamEventsRequest', (_message.Message,), {
  'DESCRIPTOR' : _STREAMEVENTSREQUEST,
  '__module__' : 'adapter_pb2'
  # @@protoc_insertion_point(class_scope:adapter.StreamEventsRequest)
  })
_sym_db.RegisterMessage(StreamEventsRequest)

StreamEventsResponse = _reflection.GeneratedProtocolMessageType('StreamEventsResponse', (_message.Message,), {
  'DESCRIPTOR' : _STREAMEVENTSRESPONSE,
  '__module__' : 'adapter_pb2'
  # @@protoc_insertion_point(class_scope:adapter.StreamEventsResponse)
  })
_sym_db.RegisterMessage(StreamEventsResponse)



_ADAPTER = _descriptor.ServiceDescriptor(
  name='Adapter',
  full_name='adapter.Adapter',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  serialized_start=257,
  serialized_end=493,
  methods=[
  _descriptor.MethodDescriptor(
    name='OnActivate',
    full_name='adapter.Adapter.OnActivate',
    index=0,
    containing_service=None,
    input_type=_ONACTIVATEREQUEST,
    output_type=_ONACTIVATERESPONSE,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='StreamEvents',
    full_name='adapter.Adapter.StreamEvents',
    index=1,
    containing_service=None,
    input_type=_STREAMEVENTSREQUEST,
    output_type=_STREAMEVENTSRESPONSE,
    serialized_options=None,
  ),
  _descriptor.MethodDescriptor(
    name='OnDeactivate',
    full_name='adapter.Adapter.OnDeactivate',
    index=2,
    containing_service=None,
    input_type=_ONDEACTIVATEREQUEST,
    output_type=_ONDEACTIVATERESPONSE,
    serialized_options=None,
  ),
])
_sym_db.RegisterServiceDescriptor(_ADAPTER)

DESCRIPTOR.services_by_name['Adapter'] = _ADAPTER

# @@protoc_insertion_point(module_scope)
